#ifndef KLINEEDIT_H
#define KLINEEDIT_H

#include <QLineEdit>
#include <QPushButton>
#include "gui_g.h"

namespace kdk {

class KLineEditPrivate;

/**
 * @defgroup InputBoxModule
 * @since 2.5
 */

class GUI_EXPORT KLineEdit : public QLineEdit
{
    Q_OBJECT
public:
    KLineEdit(QWidget *parent = nullptr);

    /**
     * @brief 获取按钮
     * @return
     */
    QPushButton* pushbutton();

protected:
    void resizeEvent(QResizeEvent *event);
    bool eventFilter(QObject *watched, QEvent *event);
private:
    Q_DECLARE_PRIVATE(KLineEdit)
    KLineEditPrivate *const d_ptr;
};

}
#endif // KLINEEDIT_H
